Function
getArgumentValue
Retrieves the value of an argument given by its position.
getArgumentValue(value, parser, argumentPosition[, argNo])
Include Headers
seqan/arg_parse.h
Parameters

value | The variable where the resulting value should be stored. Remarks: The type of value must be compatible the option type.
parser | The ArgumentParser object. Types: ArgumentParser
argumentPosition | The index of the argument in the argument list.
argNo | If the argument is a list, the argNo-th list element is returned.

Return Values
true if the requested argument is set and has the requested type, false otherwise.
Member of
ArgumentParser
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57